The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP problem, please help

Discussion in 'General Discussion' started by josesan311, Nov 12, 2007.

  1. josesan311

    josesan311 Active Member

    Joined:
    Oct 29, 2007
    Messages:
    43
    Likes Received:
    0
    Trophy Points:
    6
    Hello im trynig to setup PHP with FastCGI enabled.

    If i type 'php -v' on cli it gives PHP 4.4.7 (cgi-fcgi).
    If i create a phpinfo and try to see it over browser it says Server API: Apache 2.0 Handler!

    How can enable php phpinfo so it can says Server API: CGI/FastCGI
    If i disable the LoadModule inside httpd.conf php will stop working.


    Thanks in advance!!!



    Regards.
     
  2. josesan311

    josesan311 Active Member

    Joined:
    Oct 29, 2007
    Messages:
    43
    Likes Received:
    0
    Trophy Points:
    6
    someone can give me a hand on this please?

    Regards.
     
  3. josesan311

    josesan311 Active Member

    Joined:
    Oct 29, 2007
    Messages:
    43
    Likes Received:
    0
    Trophy Points:
    6
    I just got this fixed.
    For anyone else that needs this, you need to go to "Configure Suexec and PHP" option and select php5 handler as CGI-FCGI

    Regards.
     
  4. duranduran

    duranduran Well-Known Member

    Joined:
    Apr 30, 2004
    Messages:
    198
    Likes Received:
    0
    Trophy Points:
    16
    Hi,

    In my "Configure Suexec and PHP" option i have suphp selected, but in my phpinfo page the server API is CGI/FastCGI.
     
Loading...

Share This Page